=== debian/changelog ===
tvheadend-dmo (4.3~1975.g23754f9a6-dmo1+deb11u1) stable; urgency=medium

  * Build with --enable-omx.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 11 Nov 2021 19:04:07 +0100

tvheadend-dmo (4.3~1975.g23754f9a6-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 01 Aug 2021 14:25:32 +0200

tvheadend-dmo (4.3~1966.g04853f0da-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 09 Jun 2021 07:51:17 +0200

tvheadend-dmo (4.3~1965.g9476680f8-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 03 Jun 2021 14:58:49 +0200

tvheadend-dmo (4.3~1964.g637844055-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 07 May 2021 09:26:12 +0200

tvheadend-dmo (4.3~1959.ge66581e73-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 04 May 2021 09:11:45 +0200

tvheadend-dmo (4.3~1958.gfdc3f945f-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 01 May 2021 08:24:18 +0200

tvheadend-dmo (4.3~1950.g98a7c6cfd-dmo1) unstable; urgency=medium

  * New git checkout.
  * Add pid file hint for init.d script.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 04 Apr 2021 00:49:42 +0200

tvheadend-dmo (4.3~1944.g6c537b1fd-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 16 Mar 2021 07:25:34 +0100

tvheadend-dmo (4.3~1942.gd67fff914-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 13 Mar 2021 10:26:33 +0100

tvheadend-dmo (4.3~1940.gfe0e5f1f9-dmo6) unstable; urgency=medium

  * Fix purge package in postrm script.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 09 Mar 2021 08:19:35 +0100

tvheadend-dmo (4.3~1940.gfe0e5f1f9-dmo5) unstable; urgency=medium

  * debian/control add a Pre-Depends: field for tvheadend.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 07 Mar 2021 09:20:41 +0100

tvheadend-dmo (4.3~1940.gfe0e5f1f9-dmo4) unstable; urgency=medium

  * Add libsystemd-dev to Build-depends
  * Comment which values are read by systemd or/and init.d in
    /etc/defaulmt/tvheadend.default

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 06 Mar 2021 15:05:29 +0100

tvheadend-dmo (4.3~1940.gfe0e5f1f9-dmo3) unstable; urgency=medium

  * Build with --enable-libsystemd_daemon
  * Various fixes for debconf and systemd.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 06 Mar 2021 10:10:45 +0100

tvheadend-dmo (4.3~1940.gfe0e5f1f9-dmo2) unstable; urgency=medium

  * Force dh_python3 to write python3 shebang.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 05 Mar 2021 22:23:56 +0100

tvheadend-dmo (4.3~1940.gfe0e5f1f9-dmo1) unstable; urgency=medium

  * Switch to git release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 05 Mar 2021 16:27:43 +0100

tvheadend-dmo (4.2.8-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 12 Jan 2019 12:45:11 +0100

tvheadend-dmo (4.2.7-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 08 Oct 2018 17:48:38 +0200

tvheadend-dmo (4.2.6-dmo2) unstable; urgency=medium

  * Rebuild against ffmpeg 4.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 21 Apr 2018 17:51:27 +0200

tvheadend-dmo (4.2.6-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 26 Mar 2018 12:35:59 +0200

tvheadend-dmo (4.2.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 18 Dec 2017 12:46:26 +0100

tvheadend-dmo (4.2.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 18 Oct 2017 17:21:51 +0200

tvheadend-dmo (4.2.3-dmo4) unstable; urgency=medium

  * Really rebuild against libhdhomerun4. To be sure :
    Build-Depends libhdhomerun-dev (>= 20170815-2~)

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 28 Aug 2017 17:13:10 +0200

tvheadend-dmo (4.2.3-dmo3) unstable; urgency=medium

  * Rebuild against libhdhomerun4

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 28 Aug 2017 13:38:24 +0200

tvheadend-dmo (4.2.3-dmo2) unstable; urgency=medium

  * Set hts user HOME to /var/lib/hts and delete HOME when the package is
    purged (Thanks to Andreas Beckmann for the bug report).


 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 03 Jul 2017 18:47:10 +0200

tvheadend-dmo (4.2.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 01 Jul 2017 10:55:35 +0200

tvheadend-dmo (4.2.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 16 May 2017 15:04:51 +0200

tvheadend-dmo (4.2.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 21 Apr 2017 15:00:54 +0200

tvheadend-dmo (4.0.9-dmo5) unstable; urgency=medium

  * Rebuild against libhdhomerun3

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 06 Dec 2016 07:57:57 +0100

tvheadend-dmo (4.0.9-dmo4) unstable; urgency=medium

  * Rebuild against libssl1.1

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 02 Nov 2016 12:20:05 +0100

tvheadend-dmo (4.0.9-dmo3) unstable; urgency=medium

  * Don't need to Build-Depends on git-core (Was needed by
    --enable-dvbscan).
  * Add back dvb-apps in Build-Depends (The configure script search for
    libdvben50221).

