=== debian/control ===
Source: tvheadend-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://tvheadend.org
Standards-Version: 4.5.1
#Build-Conflicts: libavresample-dev
Build-Depends: debhelper-compat (= 13), dh-sequence-python3, libssl-dev,
 liburiparser-dev, python3, dvb-apps, libavahi-client-dev, libdbus-1-dev,
 libhdhomerun-dev, libdvbcsa-dev, libhdhomerun-dev (>= 20170815-2~),
 libavfilter-dev, libva-dev, libpcre2-dev, zlib1g-dev, libopus-dev,
 libx264-dev, libx265-dev, libvpx-dev, libsystemd-dev

Package: tvheadend
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
 tvheadend-data (>= ${source:Version}), adduser, lsb-base, dvb-apps, dtv-scan-tables
Recommends: xmltv-util
Enhances: showtime
Replaces: hts-tvheadend
Description: TV streaming server and recorder
 Tvheadend is a TV streaming server for Linux supporting DVB, ATSC, IPTV,
 and Analog video (V4L) as input sources. Can be used as a backend to
 Showtime, XBMC and various other clients.

Package: tvheadend-data
Architecture: all
Depends: ${misc:Depends}
Replaces: hts-tvheadend, tvheadend (<< 4.0.7)
Description: TV streaming server and recorder
 Tvheadend is a TV streaming server for Linux supporting DVB, ATSC, IPTV,
 and Analog video (V4L) as input sources. Can be used as a backend to
 Showtime, XBMC and various other clients.
 .
 This package contains data files for Tvheadend.
