=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	--disable-dvbscan \
	--disable-ffmpeg_static \
	--disable-hdhomerun_static \
	--disable-libmfx_static \
	--disable-libopus_static \
	--disable-libtheora_static \
	--disable-libvorbis_static \
	--disable-libvpx_static \
	--disable-libx264_static \
	--disable-libx265_static \
	--enable-dvbcsa \
	--enable-hdhomerun_client \
	--enable-libav \
	--enable-libsystemd_daemon \
	--enable-nvenc \
	--enable-omx \
	--nowerror \
	--python=python3

# Not needed, because not used.
##--enable-libfdkaac --disable-libfdkaac_static

#	exit 1

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_clean:
	-$(MAKE) distclean

override_dh_clean:
	dh_clean src/version.c src/webui/static/intl/*.gz src/webui/static/*.gz \
	support/doc/mistune.pyc src/docs_inc.c

	${RM} -rf support/doc/__pycache__/
