=== debian/changelog ===
tvheadend-dmo (4.3~2120.g18effa8ad-dmo1+deb12u1) bookworm; urgency=medium

  * Add upstream patch to fix autorec create/edit TypeError with Firefox 134
    (Thanks to Jan Korbel for the bug report)

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 06 Sep 2025 18:49:17 +0200

tvheadend-dmo (4.3~2120.g18effa8ad-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 23 Apr 2023 10:36:15 +0200

tvheadend-dmo (4.3~2117.gf32c7c59a-dmo1) unstable; urgency=medium

  * New git checkout.
  * Add one line upstream patch to fix build with ffmpeg 6

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 09 Apr 2023 01:05:33 +0200

tvheadend-dmo (4.3~2116.ge0f2d3234-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 08 Apr 2023 16:11:53 +0200

tvheadend-dmo (4.3~2115.ga10f7ea44-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 07 Apr 2023 15:05:03 +0200

tvheadend-dmo (4.3~2110.gef13a600a-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 24 Mar 2023 07:52:24 +0100

tvheadend-dmo (4.3~2106.g9e1eb89be-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 21 Mar 2023 15:05:37 +0100

tvheadend-dmo (4.3~2105.g76a6263f1-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 10 Mar 2023 16:48:15 +0100

tvheadend-dmo (4.3~2101.g39df64bb8-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 05 Mar 2023 08:23:58 +0100

tvheadend-dmo (4.3~2098.g44bf691ac-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 21 Feb 2023 08:42:05 +0100

tvheadend-dmo (4.3~2096.g02987438d-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 17 Feb 2023 01:08:41 +0100

tvheadend-dmo (4.3~2089.g5948200c7-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 24 Jan 2023 11:09:41 +0100

tvheadend-dmo (4.3~2077.g760f32bf5-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 17 Jan 2023 13:27:52 +0100

tvheadend-dmo (4.3~2073.gcc6028336-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 11 Jan 2023 10:58:17 +0100

tvheadend-dmo (4.3~2069.gc9a156a25-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 31 Dec 2022 09:48:44 +0100

tvheadend-dmo (4.3~2063.gd88549603-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 04 Dec 2022 08:23:17 +0100

tvheadend-dmo (4.3~2059.g7b95ba4cf-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 24 Nov 2022 13:59:04 +0100

tvheadend-dmo (4.3~2050.g52c3ed3ef-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 13 Nov 2022 09:41:50 +0100

tvheadend-dmo (4.3~2048.g185013382-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 29 Oct 2022 09:47:59 +0200

tvheadend-dmo (4.3~2040.g604d81a29-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 16 Oct 2022 14:51:26 +0200

tvheadend-dmo (4.3~2038.g5f9404117-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 08 Oct 2022 01:39:29 +0200

tvheadend-dmo (4.3~2035.g4355488b8-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 07 Oct 2022 20:00:23 +0200

tvheadend-dmo (4.3~2034.g8f8877430-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 05 Oct 2022 08:17:09 +0200

tvheadend-dmo (4.3~2033.g4741b3c19-dmo2) unstable; urgency=medium

  * Don't Depends on sysvinit-utils but lsb-base

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 24 Sep 2022 08:56:46 +0200

tvheadend-dmo (4.3~2033.g4741b3c19-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 16 Sep 2022 16:03:53 +0200

tvheadend-dmo (4.3~2030.gca756e3f7-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 04 Sep 2022 07:45:02 +0200

tvheadend-dmo (4.3~2027.ge3f4f222e-dmo1) unstable; urgency=medium

  * New git checkout.
  * Still build with ffmpeg 4.4

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 15 Jul 2022 16:48:30 +0200

tvheadend-dmo (4.3~2024.g420786927-dmo2) unstable; urgency=medium

  * Build with libssl3

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 14 May 2022 08:25:54 +0200

tvheadend-dmo (4.3~2024.g420786927-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 23 Apr 2022 14:25:30 +0200

tvheadend-dmo (4.3~2018.g58df4bf51-dmo1) unstable; urgency=medium

  * New git checkout.
  * Remove obsolet syslog.target in service file (Thanks lintian)..

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 08 Apr 2022 09:20:13 +0200

tvheadend-dmo (4.3~2013.g90ba8b1c1-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 06 Apr 2022 18:37:47 +0200

tvheadend-dmo (4.3~2011.g2bf162928-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 30 Mar 2022 18:12:48 +0200


