=== debian/control ===
--- 
+++ 
@@ -4,19 +4,19 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://tvheadend.org
-Standards-Version: 4.5.1
-#Build-Conflicts: libavresample-dev
+Rules-Requires-Root: no
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13), dh-sequence-python3, libssl-dev,
  liburiparser-dev, python3, dvb-apps, libavahi-client-dev, libdbus-1-dev,
- libhdhomerun-dev, libdvbcsa-dev, libhdhomerun-dev (>= 20170815-2~),
- libavfilter-dev, libva-dev, libpcre2-dev, zlib1g-dev, libopus-dev,
- libx264-dev, libx265-dev, libvpx-dev, libsystemd-dev
+ libhdhomerun-dev, libdvbcsa-dev, libhdhomerun-dev (>= 20170815-2~), quilt,
+ libva-dev, libpcre2-dev, zlib1g-dev, libopus-dev, libx264-dev, libx265-dev,
+ libvpx-dev, libsystemd-dev, libavfilter-dev, libswresample-dev
 
 Package: tvheadend
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
- tvheadend-data (>= ${source:Version}), adduser, lsb-base, dvb-apps, dtv-scan-tables
+ tvheadend-data (>= ${source:Version}), adduser, sysvinit-utils (>= 3.05-4~), dvb-apps, dtv-scan-tables
 Recommends: xmltv-util
 Enhances: showtime
 Replaces: hts-tvheadend
