=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@
+	dh $@ --with quilt
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -27,6 +27,8 @@
 # Not needed, because not used.
 ##--enable-libfdkaac --disable-libfdkaac_static
 
+##--enable-mmal
+
 #	exit 1
 
 override_dh_python3:
@@ -37,6 +39,10 @@
 
 override_dh_clean:
 	dh_clean src/version.c src/webui/static/intl/*.gz src/webui/static/*.gz \
-	support/doc/mistune.pyc src/docs_inc.c
+	support/doc/mistune.pyc src/docs_inc.c .config.mk src/tvh_locale_inc.c \
+	src/webui/extjs-debug.c src/webui/extjs-std.c src/webui/extjs-tv-debug.c \
+	src/webui/extjs-tv-std.c
 
 	${RM} -rf support/doc/__pycache__/
+
+	${RM} -rf build.linux
