=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --with quilt
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -31,11 +31,15 @@
 
 #	exit 1
 
+override_dh_auto_build:
+	dh_auto_build -- \
+	V=1
+
 override_dh_python3:
 	dh_python3 --shebang=/usr/bin/python3
 
 override_dh_auto_clean:
-	-$(MAKE) distclean
+	[ ! -f /support/.mk ] || $(MAKE) distclean
 
 override_dh_clean:
 	dh_clean src/version.c src/webui/static/intl/*.gz src/webui/static/*.gz \
@@ -46,3 +50,5 @@
 	${RM} -rf support/doc/__pycache__/
 
 	${RM} -rf build.linux
+
+	debconf-updatepo
