## tvheadend-dmo 4.3~2432.g0af87f13f

=== debian/changelog ===
tvheadend-dmo (4.3~2432.g0af87f13f-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 25 Jul 2025 14:16:16 +0200

tvheadend-dmo (4.3~2422.g61d728e1a-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 22 Jun 2025 07:55:51 +0200

tvheadend-dmo (4.3~2420.g19026f320-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 12 Jun 2025 10:34:50 +0200

tvheadend-dmo (4.3~2410.g808a87a6a-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 06 Jun 2025 08:21:46 +0200

tvheadend-dmo (4.3~2408.g85360924d-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 03 Jun 2025 07:47:16 +0200

tvheadend-dmo (4.3~2406.g128854638-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 02 Jun 2025 11:30:18 +0200

tvheadend-dmo (4.3~2404.gc0c55c783-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 29 May 2025 08:00:30 +0200

tvheadend-dmo (4.3~2401.g27b12a92d-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 25 May 2025 15:58:40 +0200

tvheadend-dmo (4.3~2397.gebac08749-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 21 May 2025 07:51:56 +0200

tvheadend-dmo (4.3~2396.g36ba82848-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 20 May 2025 09:06:22 +0200

tvheadend-dmo (4.3~2394.g7da199b61-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 19 May 2025 07:52:55 +0200

tvheadend-dmo (4.3~2375.g653bd0400-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 06 Apr 2025 11:59:27 +0200

tvheadend-dmo (4.3~2374.g26ec161fb-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 20 Oct 2024 15:47:54 +0200

tvheadend-dmo (4.3~2370.g28de5c092-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 29 Sep 2024 11:20:24 +0200

tvheadend-dmo (4.3~2360.g266d03527-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 28 Aug 2024 14:30:53 +0200

tvheadend-dmo (4.3~2351.g078a822cf-dmo1) unstable; urgency=medium

  * New git checkout.
  * Remove ffmpeg-7 patch fixed upstream.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 04 Aug 2024 15:12:17 +0200

tvheadend-dmo (4.3~2344.gd2e41b553-dmo2) unstable; urgency=medium

  * Add patch from PR #1721 to fix build with ffmpeg 7.x

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 21 Jul 2024 17:26:21 +0200

tvheadend-dmo (4.3~2344.gd2e41b553-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 30 Jun 2024 10:55:53 +0200

tvheadend-dmo (4.3~2336.g366e56290-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 15 Jun 2024 11:10:39 +0200

tvheadend-dmo (4.3~2323.g73a6bd00d-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 30 Apr 2024 17:29:15 +0200

tvheadend-dmo (4.3~2300.g1212b940b-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 15 Mar 2024 09:21:56 +0100

tvheadend-dmo (4.3~2286.gae51d24fe-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 26 Feb 2024 08:51:00 +0100

tvheadend-dmo (4.3~2227.ga2ddd3066-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 10 Feb 2024 14:52:49 +0100

tvheadend-dmo (4.3~2190.g2151348f7-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 06 Jan 2024 10:15:35 +0100

tvheadend-dmo (4.3~2180.g3dcb7ecf3-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 10 Dec 2023 15:08:52 +0100

tvheadend-dmo (4.3~2175.gd85c957aa-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 09 Dec 2023 12:55:30 +0100

tvheadend-dmo (4.3~2159.g62adbebfd-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 27 Oct 2023 09:55:19 +0200

tvheadend-dmo (4.3~2156.g51adc0404-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 02 Oct 2023 12:08:51 +0200

tvheadend-dmo (4.3~2155.gfe4df311d-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 10 Sep 2023 08:52:36 +0200

tvheadend-dmo (4.3~2154.gec56067f4-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 12 Aug 2023 10:06:58 +0200

tvheadend-dmo (4.3~2149.g17eebbef5-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 07 Aug 2023 09:51:03 +0200

tvheadend-dmo (4.3~2145.g1c22d866f-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 05 Aug 2023 08:58:39 +0200

tvheadend-dmo (4.3~2140.g14298acb6-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 25 Jun 2023 13:12:41 +0200

tvheadend-dmo (4.3~2139.g7b5c52697-dmo1) unstable; urgency=medium


