=== debian/control ===
--- 
+++ 
@@ -4,13 +4,12 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://tvheadend.org
-Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Build-Depends: debhelper-compat (= 13), dh-sequence-python3, libssl-dev,
  liburiparser-dev, python3, dvb-apps, libavahi-client-dev, libdbus-1-dev,
  libhdhomerun-dev, libdvbcsa-dev, libhdhomerun-dev (>= 20170815-2~),
  libva-dev, libpcre2-dev, zlib1g-dev, libopus-dev, libx264-dev, libx265-dev,
- libvpx-dev, libsystemd-dev, libavfilter-dev, libswresample-dev,
+ libvpx-dev, libsystemd-dev, libavfilter-dev, libswresample-dev, pkgconf,
 
 Package: tvheadend
 Architecture: any
