## tvheadend-dmo 4.3~2477.gd4dff154a

=== debian/changelog ===
tvheadend-dmo (4.3~2477.gd4dff154a-dmo1~bpo13+1) trixie-backports; urgency=medium

  * Upload to stable-backports (Build with ffmpeg 8)

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 16 Oct 2025 08:09:42 +0200

tvheadend-dmo (4.3~2477.gd4dff154a-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 10 Oct 2025 16:53:03 +0200
