=== debian/watch ===
version=4

opts="uversionmangle=s/\.1|4\.3//" \
https://github.com/tvheadend/tvheadend/tags \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@
