## tvheadend-dmo 4.3~2500.g7de8bf482

=== Makefile ===
--- 
+++ 
@@ -54,6 +54,7 @@
 CFLAGS  += -fno-strict-aliasing
 CFLAGS  += -fms-extensions -funsigned-char
 CFLAGS  += -D_FILE_OFFSET_BITS=64
+CFLAGS  += -D_TIME_BITS=64
 CFLAGS  += -I${BUILDDIR} -I${ROOTDIR}/src -I${ROOTDIR}
 ifeq ($(CONFIG_ANDROID),yes)
 LDFLAGS += -ldl -lm
@@ -274,6 +275,7 @@
 	src/intlconv.c \
 	src/profile.c \
 	src/bouquet.c \
+	src/ratinglabels.c \
 	src/lock.c \
 	src/string_list.c \
 	src/wizard.c \
@@ -319,6 +321,7 @@
 	src/api/api_caclient.c \
 	src/api/api_profile.c \
 	src/api/api_bouquet.c \
+	src/api/api_ratinglabel.c \
 	src/api/api_language.c \
 	src/api/api_satip.c \
 	src/api/api_timeshift.c \
@@ -512,7 +515,3 @@
 SRCS-CODECS += $(wildcard src/transcoding/codec/codecs/*.c)
 ifneq (,$(filter yes,$(CONFIG_LIBX264) $(CONFIG_LIBX265)))
 LIBS-CODECS += libx26x
-endif
-ifeq ($(CONFIG_LIBVPX),yes)
-LIBS-CODECS += libvpx
-endif
