=== debian/changelog ===
tvheadend-dmo (4.3~2500.g7de8bf482-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 23 Oct 2025 11:48:38 +0200
