=== debian/control ===
--- 
+++ 
@@ -7,9 +7,10 @@
 Standards-Version: 4.7.2
 Build-Depends: debhelper-compat (= 13), dh-sequence-python3, libssl-dev,
  liburiparser-dev, python3, dvb-apps, libavahi-client-dev, libdbus-1-dev,
- libhdhomerun-dev, libdvbcsa-dev, libhdhomerun-dev (>= 20170815-2~),
+ libhdhomerun-dev, libdvbcsa-dev, libhdhomerun-dev (>= 20170815-2~), quilt,
  libva-dev, libpcre2-dev, zlib1g-dev, libopus-dev, libx264-dev, libx265-dev,
  libvpx-dev, libsystemd-dev, libavfilter-dev, libswresample-dev, pkgconf,
+ python3-rjsmin, python3-rcssmin,
 
 Package: tvheadend
 Architecture: any
