=== debian/changelog ===
tvheadend-dmo (4.3~2518.g7f9710c13-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 08 Nov 2025 09:05:50 +0100
