## tvheadend-dmo 4.3~2590.g4980ee4c9

=== debian/changelog ===
tvheadend-dmo (4.3~2590.g4980ee4c9-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 07 Jan 2026 15:30:43 +0100
