=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: tvheadend-dmo
 Section: video
-Priority: optional
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://tvheadend.org
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Build-Depends: debhelper-compat (= 13), dh-sequence-python3, libssl-dev,
  liburiparser-dev, python3, dvb-apps, libavahi-client-dev, libdbus-1-dev,
  libhdhomerun-dev, libdvbcsa-dev, libhdhomerun-dev (>= 20170815-2~), quilt,
